#zobrazenie orig a dilatace
import cv2


import matplotlib.pyplot as plt
import matplotlib.image as mpimg

img=mpimg.imread('inverted_for_dilation.pgm')
img2=mpimg.imread('dilation_for_1_robot.pgm')



plt.figure(1)
plt.subplot(121).set_title('Invertovaná mriežka obsadenosti')
plt.imshow(img, cmap='gray',extent=[0,19,0,124])
plt.xlabel("Súradnica x [m]")
plt.ylabel("Súradnica y [m]")
plt.ylim(70,110)

plt.figure(1)
plt.subplot(122).set_title('Dilatovaná mriežka obsadenosti')
plt.imshow(img2, cmap='gray',extent=[0,19,0,124])
plt.xlabel("Súradnica x [m]")
plt.ylabel("Súradnica y [m]")
plt.ylim(70,110)

plt.show()
